image: debian

pages:
  script:
    - apt update && apt install -y make python3-venv rake git locales
    - gem install gitlab-glfm-markdown
    - rake generate
    - git clone https://gitlab.com/askco.re/ontologies.git
    - cd ontologies; make setup; make; cd ..
    - mkdir -p public/db
    - cp -r ontologies/output/askcore_db.html public/db/index.html
    - mkdir -p public/dataset
    - cp -r ontologies/output/askcore_dataset.html public/dataset/index.html
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
